fuss-server - Segnalazione #204

Fuss-server create: errori vari
03/02/2017 11:11 PM - Christopher R. Gabriel

Status: Chiuso Start date: 03/02/2017
Priority: Immediata Due date:

Assignee: Simone Piccardi % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Description

Eseguendo fuss-server create a 02fae7ea0d32427bbb26d4862dc0801321deea75 (8.0.2-1), su nuova installazione, ottengo errori
bloccanti su Idap e samba.

Rieseguendo il comando, sembra procedere, per fermarsi a passi successivi, fino a fermarsi al quarto tentativo.

Allego i log numerati in sequenza rispetto alle esecuzioni di 'fuss-server create', contenenti gli errori che si presentano.

History

#1 - 03/03/2017 11:02 AM - Simone Piccardi

- Assignee changed from Simone Piccardi to Christopher R. Gabriel

Su nuova installazione di cosa? Da netinstall? Da ISO iso (se si quale) di fuss?

#2 - 03/03/2017 11:03 AM - Simone Piccardi

PS mi puoi per favore mettere tutto il log di ansible, dall'inizio.

#3 - 03/03/2017 11:05 AM - Christopher R. Gabriel

- Assignee changed from Christopher R. Gabriel to Simone Piccardi

Non riesco a prendere tutto il log dalla VM.

Debian netinstall e fuss-server da pacchetto che e' nel repository.

#4 - 03/03/2017 11:40 AM - Simone Piccardi

- Status changed from Nuovo to In elaborazione

Provvedo ad una installazione da netinstall e relativa verifica.

Per salvare le sessioni si pud comunque usare script (messe istruzioni anche sul wiki).

#5 - 03/03/2017 01:43 PM - Simone Piccardi

- Assignee changed from Simone Piccardi to Christopher R. Gabriel

Proceduto con:

installazione su VM (Virtualbox) con tre schede di rete da netinstall 8.7.1
prima scheda di rete (in bridge) per la WAN

altre due schede su reti intere (LAN e CP)

configurazione di rete in installazione sulla prima scheda in DHCP
partizionamento con /home separata

mirror di default http:/ftp.it.debian.org/debian/ (no proxy)
tasksel con solo SSH server e utilita di sistema base

configurazione manuale della seconda interfaccia di rete (ip statico 192.168.42.1/24)

installazione dipendenze per build del pacchetto, fonti aggiuntive e ansible install come da wiki
installazione del pacchetto (3f1e51e198edd7fc8217d22922¢736b3501910da 8.0.3) + apt-get -f install
fuss-server create

Non ha dato nessun errore. fuss-server test tutto OK.
Per provare riprodurlo serve sapere cosa cambia rispetto alle condizioni precedenti.

Per completezza: le differenze fra le versioni 02fae7ea0d32427bbb26d4862dc0801321deea75 e 3f1e51e198edd7fc8217d22922¢c736b3501910da
non riguardano nulla di collegato a samba o Idap, ne a ruoli che vengano eseguiti prima di questi due e che possano avere conseguenze sugli stessi.

#6 - 03/03/2017 02:09 PM - Christopher R. Gabriel

- Assignee changed from Christopher R. Gabriel to Simone Piccardi

Simone Piccardi ha scritto:
Proceduto con:

installazione su VM (Virtualbox) con tre schede di rete da netinstall 8.7.1

prima scheda di rete (in bridge) per la WAN

altre due schede su reti intere (LAN e CP)

configurazione di rete in installazione sulla prima scheda in DHCP

partizionamento con /home separata

mirror di default http:/ftp.it.debian.org/debian/ (no proxy)

tasksel con solo SSH server e utilita di sistema base

configurazione manuale della seconda interfaccia di rete (ip statico 192.168.42.1/24)
installazione dipendenze per build del pacchetto, fonti aggiuntive e ansible install come da wiki
installazione del pacchetto (3f1e51e198edd7fc8217d22922¢736b3501910da 8.0.3) + apt-get -f install
fuss-server create

Non ha dato nessun errore. fuss-server test tutto OK.

Per provare riprodurlo serve sapere cosa cambia rispetto alle condizioni precedenti.

Ho riprovato con la 8.0.3 come te, e lo riproduco sistematicamente. Ho preparato ora nuova iso, scaricabile qui:
http://iso.fuss.bz.it/fuss8/server/alphas/fuss-server-jessie-amd64-201703031339.iso
cb8757e73803d7f535a661982662df31d9f8b705077dead213f7b127db94fce4

Configurate due interfacce di rete, e avviato fuss-server create. Si ferma esattamente dove e come prima.

L'unica differenza mi pare sia che non ho /home separata e che il pacchetto e' preso dal repository e non da git. Non ho dato accesso alla rete sulla
interfaccia WAN per verificare che non scaricasse niente dalla rete ma che avesse tutto I'occorrente tramite la iso.

Per completezza: le differenze fra le versioni 02fae7ea0d32427bbb26d4862dc0801321deea75 e
3f1e51e198edd7fc8217d22922¢736b3501910da non riguardano nulla di collegato a samba o Idap, ne a ruoli che vengano eseguiti prima di
questi due e che possano avere conseguenze sugli stessi.

Si grazie, questo era evidente dal log di git.
#7 - 03/03/2017 02:35 PM - Simone Piccardi

- Assignee changed from Simone Piccardi to Christopher R. Gabriel

Christopher R. Gabriel ha scritto:

L'unica differenza mi pare sia che non ho /home separata e che il pacchetto e' preso dal repository e non da git. Non ho dato accesso alla rete
sulla interfaccia WAN per verificare che non scaricasse niente dalla rete ma che avesse tutto I'occorrente tramite la iso.

L'unica prova che ho fatto della iso senza rete manco riesce ad impostare correttamente i repository in fase di installazione. Comunque se mancano
dei pacchetti dovrebbe risultare un errore relativo. Puoi mandare il testo completo del lancio di fuss-server create (salvato con script).

#8 - 03/03/2017 02:39 PM - Christopher R. Gabriel
- File log.txt added
- Assignee changed from Christopher R. Gabriel to Simone Piccardi

Eccolo in allegato, questo eseguito con la rete attiva.

#9 - 03/03/2017 02:51 PM - Christopher R. Gabriel
- File log2.txt added

Allego anche log di fuss-server create a seguito di reinstallazione della iso di cui sopra avendo la rete attiva fin dall'inizio, se puo' servire a qualcosa.

#10 - 03/03/2017 03:08 PM - Simone Piccardi

- Assignee changed from Simone Piccardi to Christopher R. Gabriel

Christopher R. Gabriel ha scritto:

Eccolo in allegato, questo eseguito con la rete attiva.

Qui ha gia installato pure i certificati SSL quindi appartiene ad una macchina su cui fuss-server create ha gia girato in precedenza.

#11 - 03/03/2017 03:09 PM - Simone Piccardi
Christopher R. Gabriel ha scritto:

Allego anche log di fuss-server create a seguito di reinstallazione della iso di cui sopra avendo la rete attiva fin dall'inizio, se puo' servire a
qualcosa.

Ok, questo € gia piu indicativo, provvederd a rifare il test da zero con la nuova iso.
#12 - 03/03/2017 03:10 PM - Simone Piccardi

- Assignee changed from Christopher R. Gabriel to Simone Piccardi

#13 - 03/03/2017 03:11 PM - Christopher R. Gabriel

Simone Piccardi ha scritto:
Christopher R. Gabriel ha scritto:

Eccolo in allegato, questo eseguito con la rete attiva.

Qui ha gia installato pure i certificati SSL quindi appartiene ad una macchina su cui fuss-server create ha gia girato in precedenza.

Si, come nel caso precedente, erano esecuzioni successive per vedere se cambiava qualcosa.

#14 - 03/06/2017 10:29 AM - Christopher R. Gabriel

- Status changed from In elaborazione to Chiuso

Indivudata la causa legata al preseeding, e' gia' stato aggiornato fuss-server di conseguenza.

Files

log.txt 4.58 KB 03/02/2017 Christopher R. Gabriel
log2.ixt 3.48 KB 03/02/2017 Christopher R. Gabriel
log3.ixt 1.85 KB 03/02/2017 Christopher R. Gabriel
log4.txt 1.69 KB 03/02/2017 Christopher R. Gabriel
log.txt 8.79 KB 03/03/2017 Christopher R. Gabriel
log2.txt 14.1 KB 03/03/2017 Christopher R. Gabriel
